API referenceEndpointsSources
Delete Source
Permanently delete a Source through the governed deletion workflow.
Permanently delete a Source through the governed deletion workflow.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceId*string
Source UUID within the Account scope.
Format
uuidHeader Parameters
Idempotency-Key*string
Unique key for this mutation and request body.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/sources/00000000-0000-4000-8000-000000000002" \ -H "Idempotency-Key: operation-20260816-001" \ -H "Content-Type: application/json" \ -d '{ "accountId": "00000000-0000-4000-8000-000000000001", "confirmation": "Acme Slack" }'{ "data": { "deletionJobId": "54a20d40-bfeb-4a88-9047-bccfc97d7b7c", "state": "queued" }, "correlationId": "string"}